Index: src/sas/qtgui/DataExplorer.py
===================================================================
--- src/sas/qtgui/DataExplorer.py	(revision 31c5b583d8c577c4ed72be87d22d34ec2ed50c04)
+++ src/sas/qtgui/DataExplorer.py	(revision adf81b86561ec1880ff7c8551a89a4175e4486d1)
@@ -293,10 +293,12 @@
         self.communicator.updateModelFromPerspectiveSignal.connect(self.updateModelFromPerspective)
 
+        def isItemReady(index):
+            item = self.model.item(index)
+            return item.isCheckable() and item.checkState() == QtCore.Qt.Checked
+
         # Figure out which rows are checked
-        selected_items = []
-        for index in range(self.model.rowCount()):
-            item = self.model.item(index)
-            if item.isCheckable() and item.checkState() == QtCore.Qt.Checked:
-                selected_items.append(item)
+        selected_items = [self.model.item(index)
+                          for index in xrange(self.model.rowCount())
+                          if isItemReady(index)]
 
         if len(selected_items) < 1:
@@ -312,7 +314,4 @@
             retval = msgbox.exec_()
             return
-
-        # TODO
-        # New plot or appended?
 
         # Notify the GuiManager about the send request
@@ -378,6 +377,6 @@
         self.cbgraph.clear()
         graph_titles = []
-        for graph in graph_list:
-            graph_titles.append("Graph"+str(graph))
+        graph_titles= ["Graph"+str(graph) for graph in graph_list]
+
         self.cbgraph.insertItems(0, graph_titles)
         ind = self.cbgraph.findText(orig_text)
@@ -395,17 +394,23 @@
         # All same-type charts in one plot
         new_plot = Plotter(self)
+
+        def addDataPlot(plot, plot_set):
+            plot.data = plot_set
+            plot.plot()
+
+        def addDataPlot2D(plot_set):
+            plot2D = Plotter2D(self)
+            addDataPlot(plot2D, plot_set)
+            self.plotAdd(plot2D)
+
         for plot_set in plots:
             if isinstance(plot_set, Data1D):
-                new_plot.data = plot_set
-                new_plot.plot()
+                addDataPlot(new_plot, plot_set)
             elif isinstance(plot_set, Data2D):
-                # Separate 2D plot
-                plot2D = Plotter2D(self)
-                plot2D.data = plot_set
-                plot2D.plot()
-                self.plotAdd(plot2D)
+                addDataPlot2D(plot_set)
             else:
                 msg = "Incorrect data type passed to Plotting"
                 raise AttributeError, msg
+
 
         if plots and \
Index: src/sas/qtgui/UnitTesting/WelcomePanelTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/WelcomePanelTest.py	(revision 31c5b583d8c577c4ed72be87d22d34ec2ed50c04)
+++ src/sas/qtgui/UnitTesting/WelcomePanelTest.py	(revision adf81b86561ec1880ff7c8551a89a4175e4486d1)
@@ -2,7 +2,5 @@
 import unittest
 
-from PyQt4.QtGui import *
-from PyQt4.QtTest import QTest
-from PyQt4.QtCore import *
+from PyQt4 import QtGui
 
 # set up import paths
@@ -12,5 +10,5 @@
 from WelcomePanel import WelcomePanel
 
-app = QApplication(sys.argv)
+app = QtGui.QApplication(sys.argv)
 
 class WelcomePanelTest(unittest.TestCase):
@@ -28,16 +26,15 @@
     def testDefaults(self):
         '''Test the GUI in its default state'''
-        self.assertIsInstance(self.widget, QDialog)
+        self.assertIsInstance(self.widget, QtGui.QDialog)
         self.assertEqual(self.widget.windowTitle(), "Welcome")
         
     def testVersion(self):
-        """
-        """
+        '''Test the version string'''
         version = self.widget.lblVersion
-        self.assertIsInstance(version, QLabel)
-        ver_text = "\nSasView 4.0.0-alpha\nBuild: 1\n(c) 2009 - 2013, UTK, UMD, NIST, ORNL, ISIS, ESS and IL"
-        #self.assertEqual(str(version.text()), ver_text)
-        self.assertIn("SasView", str(version.text()))
-        self.assertIn("Build:", str(version.text()))
+        self.assertIsInstance(version, QtGui.QLabel)
+
+        self.assertIn("SasView", version.text())
+        self.assertIn("Build:", version.text())
+        self.assertIn("UTK, UMD, NIST, ORNL, ISIS, ESS, ILL and ANSTO", version.text())
        
 if __name__ == "__main__":
